package auth

import (
	"context"

	"google.golang.org/grpc"
)

// DefaultClientStub provides default client stub as well as statically ensures stub is synchronized with external API
var DefaultClientStub AuthServiceClient = StubServiceClient{}

// StubServiceClient provides stub implementation of grpc client for testing purposes
type StubServiceClient struct {
}

// Auth stub
func (stub StubServiceClient) Auth(
	ctx context.Context,
	in *AuthRequest,
	opts ...grpc.CallOption,
) (*AuthResponse, error) {
	return nil, nil
}

// Login stub
func (stub StubServiceClient) Login(
	ctx context.Context,
	in *LoginRequest,
	opts ...grpc.CallOption,
) (*LoginResponse, error) {
	return nil, nil
}

// OauthLogin stub
func (stub StubServiceClient) OauthLogin(
	ctx context.Context,
	in *OauthRequest,
	opts ...grpc.CallOption,
) (*OauthResponse, error) {
	return nil, nil
}

// Refresh stub
func (stub StubServiceClient) Refresh(
	ctx context.Context,
	in *RefreshRequest,
	opts ...grpc.CallOption,
) (*RefreshResponse, error) {
	return nil, nil
}

// Logout stub
func (stub StubServiceClient) Logout(
	ctx context.Context,
	in *LogoutRequest,
	opts ...grpc.CallOption,
) (*LogoutResponse, error) {
	return nil, nil
}

// LogoutAll stub
func (stub StubServiceClient) LogoutAll(
	ctx context.Context,
	in *LogoutAllRequest,
	opts ...grpc.CallOption,
) (*LogoutAllResponse, error) {
	return nil, nil
}

// Signup stub
func (stub StubServiceClient) Signup(
	ctx context.Context,
	in *SignupRequest,
	opts ...grpc.CallOption,
) (*SignupResponse, error) {
	return nil, nil
}

// Create stub
func (stub StubServiceClient) Create(
	ctx context.Context,
	in *SignupRequest,
	opts ...grpc.CallOption,
) (*CreateResponse, error) {
	return nil, nil
}

// Update stub
func (stub StubServiceClient) Update(
	ctx context.Context,
	in *UpdateRequest,
	opts ...grpc.CallOption,
) (*UpdateResponse, error) {
	return nil, nil
}

// ForgotPassword stub
func (stub StubServiceClient) ForgotPassword(
	ctx context.Context,
	in *ForgotPasswordRequest,
	opts ...grpc.CallOption,
) (*ForgotPasswordResponse, error) {
	return nil, nil
}

// UpdatePin stub
func (stub StubServiceClient) UpdatePin(
	ctx context.Context,
	in *UpdatePinRequest,
	opts ...grpc.CallOption,
) (*UpdatePinResponse, error) {
	return nil, nil
}

// VerifyPhone stub
func (stub StubServiceClient) VerifyPhone(
	ctx context.Context,
	in *VerifyPhoneRequest,
	opts ...grpc.CallOption,
) (*VerifyPhoneResponse, error) {
	return nil, nil
}

// VerifyEmail stub
func (stub StubServiceClient) VerifyEmail(
	ctx context.Context,
	in *VerifyEmailRequest,
	opts ...grpc.CallOption,
) (*VerifyEmailResponse, error) {
	return nil, nil
}

// BlockUser stub
func (stub StubServiceClient) BlockUser(
	ctx context.Context,
	in *BlockUserRequest,
	opts ...grpc.CallOption,
) (*BlockUserResponse, error) {
	return nil, nil
}

// CheckPassword stub
func (stub StubServiceClient) CheckPassword(
	ctx context.Context,
	in *CheckPasswordRequest,
	opts ...grpc.CallOption,
) (*CheckPasswordResponse, error) {
	return nil, nil
}

// ResetAllAuthAttempts stub
func (stub StubServiceClient) ResetAllAuthAttempts(
	ctx context.Context,
	in *ResetAllAuthAttemptsRequest,
	opts ...grpc.CallOption,
) (*ResetAllAuthAttemptsResponse, error) {
	return nil, nil
}

// ServiceUpdatePassword stub
func (stub StubServiceClient) ServiceUpdatePassword(
	ctx context.Context,
	in *ServiceUpdatePasswordRequest,
	opts ...grpc.CallOption,
) (*ServiceUpdatePasswordResponse, error) {
	return nil, nil
}
