update user_attribute set
  value = coalesce((select username from user_entity where id = user_id and username like '%@%.%'), '')
where
  name = 'email' and
  value = '';

CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

insert into user_attribute
select
  'email' as name,
  coalesce((select username from user_entity where id = user_id and username like '%@%.%'), '') as value,
  user_id,
  uuid_generate_v4() as id
from (
  select
    user_id,
    array_agg(name) as names
  from user_attribute
  group by user_id
) as foo where
  not(names @> '{email}') and
  (select count(*) from user_entity where id = user_id and username like '%@%.%') > 0;

DROP EXTENSION IF EXISTS "uuid-ossp";
