package test

import (
	auth "gitlab.mashroom.com/mashroom/backend/auth/api"
)

func (s *serviceSuite) TestAuthCheckPassword_ok() {
	s.storage.EXPECT().SessionLogin(s.testCtx, s.expectUserEmail(), "rrr").Return(s.expectSessionAuth(1), nil)
	s.storage.EXPECT().SessionRemove(s.testCtx, s.expectSessionState(1)).Return(nil)

	resp, err := s.srv.CheckPassword(s.testCtx, &auth.CheckPasswordRequest{
		Password: "rrr",
		Email:    s.expectUserEmail(),
		Remote:   "",
		Captcha:  "",
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAuthCheckPassword_error() {
	s.storage.EXPECT().SessionLogin(s.testCtx, s.expectUserEmail(), "rrr").Return(s.expectSessionAuth(1), nil)
	s.storage.EXPECT().SessionRemove(s.testCtx, s.expectSessionState(1)).Return(nil)

	resp, err := s.srv.CheckPassword(s.testCtx, &auth.CheckPasswordRequest{
		Password: "rrr",
		Email:    s.expectUserEmail(),
		Remote:   "",
		Captcha:  "",
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}
