package test

import (
	auth "gitlab.mashroom.com/mashroom/backend/auth/api"
)

func (s *serviceSuite) TestAuthLogout_ok() {
	s.storage.EXPECT().SessionRemove(s.testCtx, "sid").Return(nil)

	resp, err := s.srv.Logout(s.testCtx, &auth.LogoutRequest{
		AccessToken: "",
		Session:     "sid",
		AdminSite:   false,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAuthLogout_error() {
	s.storage.EXPECT().SessionRemove(s.testCtx, "sid").Return(s.expectError())

	resp, err := s.srv.Logout(s.testCtx, &auth.LogoutRequest{
		AccessToken: "",
		Session:     "sid",
		AdminSite:   false,
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
