package test

import (
	auth "gitlab.mashroom.com/mashroom/backend/auth/api"
)

func (s *serviceSuite) TestAuthResetAllAuthAttempts_ok_all() {
	s.repo.EXPECT().ResetAttemptRemoveAll(s.testCtx).Return(nil)

	resp, err := s.srv.ResetAllAuthAttempts(s.testCtx, &auth.ResetAllAuthAttemptsRequest{
		Ip: nil,
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAuthResetAllAuthAttempts_ok_remote() {
	s.repo.EXPECT().ResetAttemptRemoveByRemote(s.testCtx, s.expectUserRemote()).Return(nil)

	resp, err := s.srv.ResetAllAuthAttempts(s.testCtx, &auth.ResetAllAuthAttemptsRequest{
		Ip: &auth.ResetAllAuthAttemptsRequest_IpValue{IpValue: s.expectUserRemote()},
	})

	s.Require().NoError(err)

	s.Require().NotNil(resp)
}

func (s *serviceSuite) TestAuthResetAllAuthAttempts_error() {
	s.repo.EXPECT().ResetAttemptRemoveByRemote(s.testCtx, s.expectUserRemote()).Return(s.expectError())

	resp, err := s.srv.ResetAllAuthAttempts(s.testCtx, &auth.ResetAllAuthAttemptsRequest{
		Ip: &auth.ResetAllAuthAttemptsRequest_IpValue{IpValue: s.expectUserRemote()},
	})

	s.Require().Error(err)

	s.Require().Nil(resp)
}
